Bug 1290433 - A non-management network is allowed to be chosen as a host gateway
A non-management network is allowed to be chosen as a host gateway
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine
Classification: oVirt
Component: BLL.Network (Show other bugs)
3.6.0
Unspecified Unspecified
unspecified Severity medium (vote)
: ovirt-3.6.2
: 3.6.2
Assigned To: Yevgeny Zaspitsky
Meni Yakove
network
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-10 08:56 EST by Yevgeny Zaspitsky
Modified: 2016-01-25 07:09 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-24 10:55:09 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
danken: ovirt‑3.6.z?
ylavi: planning_ack+
danken: devel_ack+
yzaspits: testing_ack?


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 50253 master MERGED engine: Disallow setting a non-mgmt net as the host gateway Never
oVirt gerrit 50526 ovirt-engine-3.6 MERGED engine: Disallow setting a non-mgmt net as the host gateway 2015-12-17 09:57 EST

  None (edit)
Description Yevgeny Zaspitsky 2015-12-10 08:56:45 EST
Description of problem:
A non-management network is allowed to be chosen as a host gateway on oVirt with MultipleGatewaysSupported disabled.

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. Create cluster cl1 with management network net1
2. Create cluster cl2 with management network net2 in the same DC
3. Attach net2 to cluster cl1
4. Add a host to cluster cl1 and make both network to be attached to it.
5. Set MultipleGatewaysSupported to be diabled.
6. Try to configure net2 as a host gateway.

Actual results:
The action is allowed

Expected results:
The action should be blocked.

Additional info:
Comment 1 Yaniv Lavi 2016-01-24 10:57:24 EST
Why did you close it, if it wasn't tested?
Comment 2 Yevgeny Zaspitsky 2016-01-25 07:09:54 EST
QA do not have a good way to test that, so we agreed to close that.

Note You need to log in before you can comment on or make changes to this bug.